#
# spec file for package lua-macros
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if %{undefined _rpmmacrodir}
%define _rpmmacrodir %{_rpmconfigdir}/macros.d
%endif
Name:           lua-macros
Version:        20210827
Release:        3.7
Summary:        Macros for lua language
License:        MIT
Group:          Development/Languages/Other
URL:            https://www.lua.org
Source0:        macros.lua
%if 0%{?suse_version} >= 1500
# on SLE 12 lua is lua5.2 unconditionally, avoid
Requires:       lua
%endif
BuildArch:      noarch

%description
RPM macros for lua packaging

%prep
cp -p %{SOURCE0} .
%if 0%{?rhel} || 0%{?fedora}
sed -i -e '/includedir/s!/lua!&-!' macros.lua
%endif

%build
:

%install
install -Dm644 macros.lua %{buildroot}%{_rpmmacrodir}/macros.lua

%files
%{_rpmmacrodir}/macros.lua

%changelog
* Fri Nov 25 2022 Michal Suchanek <msuchanek@suse.com>
- Make macros usable with older releases (boo#1205611).
* Fri Sep  2 2022 Callum Farmer <gmbr3@opensuse.org>
- Add LuaRocks macros:
  * %%luarocks_build
  * %%luarocks_install
  * %%luarocks_treedir
* Sat Aug 28 2021 Callum Farmer <gmbr3@opensuse.org>
- Change usage of math to string.gsub to prevent extra decimal
  places causing issues
* Fri Aug 27 2021 Callum Farmer <gmbr3@opensuse.org>
- Add %%lua_version_default, %%lua_version_default_nodots
  and %%ifluadefault: to allow to separate what flavour builds
  the documentation
- Bump version to 20210827
* Thu Jun 10 2021 Callum Farmer <gmbr3@opensuse.org>
- Add -n (name) option to %%lua_provides
- Use lua instead of perl for %%lua_version_nodots
* Fri Apr  9 2021 Callum Farmer <gmbr3@opensuse.org>
- Add %%lua_version_nodots to equal package naming
* Fri Feb 26 2021 Callum Farmer <gmbr3@opensuse.org>
- Add -e (exclude) option to %%lua_provides
* Wed Jan 27 2021 Callum Farmer <gmbr3@opensuse.org>
- Add lua_provides macro for default lua naming
* Sun Apr 12 2020 Matej Cepl <mcepl@suse.com>
- Modify lua_incdir to work even on Fedora/RHEL
* Sun Apr 12 2020 Matej Cepl <mcepl@suse.com>
- Install into /usr/lib/ not libexec
* Tue Jul 11 2017 tchvatal@suse.com
- Add lua_incdir macro to declare the lua includedir
* Mon Jul 10 2017 tchvatal@suse.com
- Split out from main lua packages to keep just one version for all
